diff --git a/doc/guides/rel_notes/release_21_05.rst b/doc/guides/rel_notes/release_21_05.rst
index c66ab1d6a0..c425845734 100644
--- a/doc/guides/rel_notes/release_21_05.rst
+++ b/doc/guides/rel_notes/release_21_05.rst
@@ -55,33 +55,33 @@ New Features
      Also, make sure to start the actual text at the margin.
      =======================================================
 
-* **Added Alpine Linux with musl libc support**
+* **Added support for Alpine Linux with musl libc.**
 
-  The distribution Alpine Linux, using musl libc and busybox,
-  got initial support starting with building DPDK without modification.
+  Added initial support for building DPDK, without modification, on Alpine
+  Linux using musl libc and busybox.
 
 * **Added phase-fair lock.**
 
-  Phase-fair lock provides fairness guarantees.
+  Added support for a Phase-fair lock. This provides fairness guarantees.
   It has two ticket pools, one for readers and one for writers.
 
 * **Added support for Marvell CN10K SoC drivers.**
 
-  Added Marvell CN10K SoC support. Marvell CN10K SoC are based on Octeon 10
-  family of ARM64 processors with ARM Neoverse N2 core with accelerators for
+  Added Marvell CN10K SoC support. Marvell CN10K SoCs are based on the Octeon 10
+  family of ARM64 processors with the ARM Neoverse N2 core with accelerators for
   packet processing, timers, cryptography, etc.
 
-  * Added common/cnxk driver consisting of common API to be used by
-    net, crypto and event PMD's.
+  * Added common/cnxk driver consisting of a common API to be used by
+    net, crypto and event PMDs.
   * Added mempool/cnxk driver which provides the support for the integrated
     mempool device.
-  * Added event/cnxk driver which provides the support for integrated event
+  * Added event/cnxk driver which provides the support for the integrated event
     device.
 
-* **Enhanced ethdev representor syntax.**
+* **Added enhanced ethdev representor syntax.**
 
   * Introduced representor type of VF, SF and PF.
-  * Supported sub-function and multi-host in representor syntax::
+  * Added support for sub-function and multi-host in representor syntax::
 
       representor=#            [0,2-4]      /* Legacy VF compatible.         */
       representor=[[c#]pf#]vf# c1pf2vf3     /* VF 3 on PF 2 of controller 1. */
@@ -90,17 +90,17 @@ New Features
 
 * **Added queue state in queried Rx/Tx queue info.**
 
-  * Added new field ``queue_state`` to ``rte_eth_rxq_info`` structure to
-    provide indicated Rx queue state.
-  * Added new field ``queue_state`` to ``rte_eth_txq_info`` structure to
-    provide indicated Tx queue state.
+  * Added new field ``queue_state`` to the ``rte_eth_rxq_info`` structure to
+    provide the indicated Rx queue state.
+  * Added new field ``queue_state`` to the ``rte_eth_txq_info`` structure to
+    provide the indicated Tx queue state.
 
 * **Updated meter API.**
 
   * Added packet mode in the meter profile parameters data structures
     to support metering traffic by packet per second (PPS),
     in addition to the initial bytes per second (BPS) mode (value 0).
-  * Added support of pre-defined meter policy via flow action list per color.
+  * Added support for pre-defined meter policy via flow action list per color.
 
 * **Added packet integrity match to flow rules.**
 
@@ -116,7 +116,7 @@ New Features
   The new driver version (v2.3.0) introduced bug fixes and improvements,
   including:
 
-  * Changed memcpy mapping to the dpdk-optimized version.
+  * Changed memcpy() mapping to the dpdk-optimized version.
   * Updated ena_com (HAL) to the latest version.
   * Added indication of the RSS hash presence in the mbuf.
 
@@ -151,10 +151,10 @@ New Features
 
   Updated the Intel iavf driver with new features and improvements, including:
 
-  * Added flow filter to support GTPU inner L3/L4 fields matching.
+  * Added flow filter to support GTPU inner L3/L4 field matching.
   * In AVX512 code, added the new RX and TX paths to use the HW offload
     features. When the HW offload features are configured to be used, the
-    offload paths are chosen automatically. In parallel the support of HW
+    offload paths are chosen automatically. In parallel the support for HW
     offload features was removed from the legacy AVX512 paths.
 
 * **Updated Intel ice driver.**
@@ -203,7 +203,8 @@ New Features
 
 * **Enabled libpcap-based PMD on Windows.**
 
-   A libpcap distribution, such as Npcap or WinPcap, is required to run the PMD.
+  Enabled libpcap-based PMD support on Windows.
+  A libpcap distribution, such as Npcap or WinPcap, is required to run the PMD.
 
 * **Updated the AF_XDP driver.**
 
@@ -213,24 +214,24 @@ New Features
 
   Added packed ring support for async vhost.
 
-* **Added support of multiple data-units in cryptodev API.**
+* **Added support of multiple data-units in the cryptodev API.**
 
   The cryptodev library has been enhanced to allow operations on multiple
-  data-units for AES-XTS algorithm, the data-unit length should be set in the
+  data-units for the AES-XTS algorithm. The data-unit length should be set in the
   transformation. A capability for it was added too.
 
 * **Added a cryptodev feature flag to support cipher wrapped keys.**
 
-  A new feature flag has been added to allow application to provide
+  A new feature flag has been added to allow applications to provide
   cipher wrapped keys in session xforms.
 
 * **Updated the OCTEON TX crypto PMD.**
 
-  * Added support for DIGEST_ENCRYPTED mode in OCTEON TX crypto PMD.
+  * Added support for ``DIGEST_ENCRYPTED`` mode in the OCTEON TX crypto PMD.
 
 * **Updated the OCTEON TX2 crypto PMD.**
 
-  * Added support for DIGEST_ENCRYPTED mode in OCTEON TX2 crypto PMD.
+  * Added support for ``DIGEST_ENCRYPTED`` mode in OCTEON TX2 crypto PMD.
   * Added support in lookaside protocol offload mode for IPsec with
     UDP encapsulation support for NAT Traversal.
   * Added support in lookaside protocol offload mode for IPsec with
@@ -252,7 +253,7 @@ New Features
 
 * **Added event device vector capability.**
 
-  * Added ``rte_event_vector`` data structure which is capable of holding
+  * Added the ``rte_event_vector`` data structure which is capable of holding
     multiple ``uintptr_t`` of the same flow thereby allowing applications
     to vectorize their pipelines and also reduce the complexity of pipelining
     the events across multiple stages.
@@ -260,7 +261,7 @@ New Features
 
 * **Updated Intel DLB2 driver.**
 
-  * Added support for v2.5 device.
+  * Added support for the DLB v2.5 device.
 
 * **Added Predictable RSS functionality to the Toeplitz hash library.**
 
@@ -270,39 +271,40 @@ New Features
 
 * **Updated testpmd.**
 
-  * Added a command line option to configure forced speed for Ethernet port.
-    ``dpdk-testpmd -- --eth-link-speed N``
-  * Added command to show link flow control info.
-    ``show port (port_id) flow_ctrl``
-  * Added command to display Rx queue used descriptor count.
-    ``show port (port_id) rxq (queue_id) desc used count``
-  * Added command to cleanup a Tx queue's mbuf on a port.
-    ``port cleanup (port_id) txq (queue_id) (free_cnt)``
-  * Added command to dump internal representation information of single flow.
-    ``flow dump (port_id) rule (rule_id)``
-  * Added commands to create and delete meter policy.
-    ``add port meter policy (port_id) (policy_id) ...``
+  * Added a command line option to configure forced speed for an Ethernet port:
+    ``dpdk-testpmd -- --eth-link-speed N``.
+  * Added command to show link flow control info:
+    ``show port (port_id) flow_ctrl``.
+  * Added command to display Rx queue used descriptor count:
+    ``show port (port_id) rxq (queue_id) desc used count``.
+  * Added command to cleanup a Tx queue's mbuf on a port:
+    ``port cleanup (port_id) txq (queue_id) (free_cnt)``.
+  * Added command to dump internal representation information of a single flow:
+    ``flow dump (port_id) rule (rule_id)``.
+  * Added commands to create and delete meter policy:
+    ``add port meter policy (port_id) (policy_id) ...``.
   * Added commands to construct conntrack context and relevant indirect
     action handle creation, update for conntrack action as well as conntrack
     item matching.
   * Added commands for action meter color to color the packet to reflect
-    the meter color result.
-    ``color type (green|yellow|red)``
+    the meter color result:
+    ``color type (green|yellow|red)``.
 
 * **Added support for the FIB lookup method in the l3fwd example app.**
 
-  Previously the l3fwd sample app only supported LPM and EM lookup methods,
-  the app now supports the Forwarding Information Base (FIB) lookup method.
+  Added support to the l3fwd application to support the Forwarding Information
+  Base (FIB) lookup method. Previously l3fwd only supported the LPM and Exact
+  Match lookup methods.
 
-* **Updated ipsec-secgw sample application.**
+* **Updated the ipsec-secgw sample application.**
 
   * Updated the ``ipsec-secgw`` sample application with UDP encapsulation
     support for NAT Traversal.
 
 * **Enhanced crypto adapter forward mode.**
 
-  * Added ``rte_event_crypto_adapter_enqueue()`` API to enqueue events to crypto
-    adapter if forward mode is supported by driver.
+  * Added ``rte_event_crypto_adapter_enqueue()`` API to enqueue events to the
+    crypto adapter if forward mode is supported by the driver.
   * Added support for crypto adapter forward mode in octeontx2 event and crypto
     device driver.
 
@@ -351,7 +353,7 @@ API Changes
   and can be replaced with ``RTE_PCI_ANY_ID``.
 
 * ethdev: Added a ``rte_flow`` pointer parameter to the function
-  ``rte_flow_dev_dump()`` allowing dump for single flow.
+  ``rte_flow_dev_dump()`` allowing dumping of a single flow.
 
 * cryptodev: The experimental raw data path API for dequeue
   ``rte_cryptodev_raw_dequeue_burst`` got a new parameter
@@ -408,21 +410,6 @@ ABI Changes
   and was not for use by external applications.
 
 
-Known Issues
-------------
-
-.. This section should contain new known issues in this release. Sample format:
-
-   * **Add title in present tense with full stop.**
-
-     Add a short 1-2 sentence description of the known issue
-     in the present tense. Add information on any known workarounds.
-
-   This section is a comment. Do not overwrite or remove it.
-   Also, make sure to start the actual text at the margin.
-   =======================================================
-
-
 Tested Platforms
 ----------------
 